clc;
clear all;

a=imread('A000365.tif');  % nacteni snimku
[x, y, z]=size (a);

T0=512;             % definice hranice pro zanedbani tmavych mist 
T1=4092;            % definice hranice pro prepal

str=0;              % definice pomocnych promennych
max=0;
p=0;
v=0;
prepal=0;
hot=0;

for i=35:x                  % eliminace hlavicky s udaji o case atd..
    for n= 1 :y
        if a(i,n)>max               % urceni maximalni hodnoty
                max=double(a(i,n));
        end
        if a(i,n)>T0                % urceni pomocnych promennych pro 
           v=v+double(a(i,n));      % vypocet strední hodnoty
           p=p+1;
        end
        if a(i,n) > T1
            hot=hot+1;              % urceni poctu pixelu s prepalem
        end         
    end
end
max                                 % vypocet a vypis promennych
str=int16(v/p)
prepal=hot/p
fid = fopen('jistic.txt','a');      % zápis do txt souboru
fprintf(fid,'\r\n %5.1d   %5.1d   %1.4f\n',max,str,prepal);
fclose(fid);
